Bug 981886 - [abrt] glade-3.15.0-1.fc19: glade_project_model_get_iter_for_object: Process /usr/bin/glade was killed by signal 6 (SIGABRT)
[abrt] glade-3.15.0-1.fc19: glade_project_model_get_iter_for_object: Process ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glade (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
abrt_hash:eaabeafc6e3692af045967cea9a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 12:46 EDT by Michael Catanzaro
Modified: 2015-02-17 10:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:54:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.39 KB, text/plain)
2013-07-06 12:46 EDT, Michael Catanzaro
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-06 12:46 EDT, Michael Catanzaro
no flags Details
File: core_backtrace (3.96 KB, text/plain)
2013-07-06 12:46 EDT, Michael Catanzaro
no flags Details
File: dso_list (9.56 KB, text/plain)
2013-07-06 12:46 EDT, Michael Catanzaro
no flags Details
File: environ (1.41 KB, text/plain)
2013-07-06 12:46 EDT, Michael Catanzaro
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-06 12:46 EDT, Michael Catanzaro
no flags Details
File: maps (47.69 KB, text/plain)
2013-07-06 12:46 EDT, Michael Catanzaro
no flags Details
File: open_fds (1.20 KB, text/plain)
2013-07-06 12:46 EDT, Michael Catanzaro
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-07-06 12:46 EDT, Michael Catanzaro
no flags Details
File: var_log_messages (15.48 KB, text/plain)
2013-07-06 12:46 EDT, Michael Catanzaro
no flags Details
UI file (19.04 KB, application/xml)
2013-07-06 13:15 EDT, Michael Catanzaro
no flags Details

  None (edit)
Description Michael Catanzaro 2013-07-06 12:46:06 EDT
Description of problem:
This happened after I closed Glade. I had been editing a UI file.

Version-Release number of selected component:
glade-3.15.0-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        glade /home/mcatanzaro/jhbuild/src/gnome-chess/data/gnome-chess.ui
crash_function: glade_project_model_get_iter_for_object
executable:     /usr/bin/glade
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 glade_project_model_get_iter_for_object at glade-project.c:4294
 #6 glade_project_notify_row_has_child at glade-project.c:2721
 #7 glade_project_remove_object at glade-project.c:3014
 #8 glade_project_dispose at glade-project.c:329
 #10 glade_design_view_set_project at glade-design-view.c:241
 #11 glade_design_view_finalize at glade-design-view.c:399
 #13 do_close at glade-window.c:1447
 #14 on_quit_action_activate at glade-window.c:2964
 #19 _gtk_action_emit_activate at gtkaction.c:801
 #20 gtk_action_activate at gtkaction.c:832
Comment 1 Michael Catanzaro 2013-07-06 12:46:10 EDT
Created attachment 769685 [details]
File: backtrace
Comment 2 Michael Catanzaro 2013-07-06 12:46:13 EDT
Created attachment 769686 [details]
File: cgroup
Comment 3 Michael Catanzaro 2013-07-06 12:46:15 EDT
Created attachment 769687 [details]
File: core_backtrace
Comment 4 Michael Catanzaro 2013-07-06 12:46:17 EDT
Created attachment 769688 [details]
File: dso_list
Comment 5 Michael Catanzaro 2013-07-06 12:46:21 EDT
Created attachment 769689 [details]
File: environ
Comment 6 Michael Catanzaro 2013-07-06 12:46:23 EDT
Created attachment 769690 [details]
File: limits
Comment 7 Michael Catanzaro 2013-07-06 12:46:25 EDT
Created attachment 769691 [details]
File: maps
Comment 8 Michael Catanzaro 2013-07-06 12:46:27 EDT
Created attachment 769692 [details]
File: open_fds
Comment 9 Michael Catanzaro 2013-07-06 12:46:29 EDT
Created attachment 769693 [details]
File: proc_pid_status
Comment 10 Michael Catanzaro 2013-07-06 12:46:32 EDT
Created attachment 769694 [details]
File: var_log_messages
Comment 11 Michael Catanzaro 2013-07-06 13:15:16 EDT
Created attachment 769695 [details]
UI file

Just happened again.

Here's the UI I was working on, though I don't know it's relevant.
Comment 12 Michael Catanzaro 2013-07-22 14:03:46 EDT
Glade crashes every time I close it, no matter what I'm editing.  This seems to be 100% reproducible.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        glade
crash_function: glade_project_model_get_iter_for_object
executable:     /usr/bin/glade
kernel:         3.9.9-302.fc19.x86_64
package:        glade-3.15.0-1.fc19
reason:         Process /usr/bin/glade was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 13 Thomas Sailer 2013-08-25 20:21:50 EDT
glade flightdeck.ui (from http://gna.org/projects/vfrnav)
then quit

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        glade flightdeck.ui
crash_function: glade_project_model_get_iter_for_object
executable:     /usr/bin/glade
kernel:         3.10.5-201.fc19.x86_64
package:        glade-3.15.0-1.fc19
reason:         Process /usr/bin/glade was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1591
Comment 14 Petr Hracek 2013-09-27 04:20:54 EDT
I opened the devassistant.glade file and made some modifications.
Afterwards I saved it. Till now all works properly and
devassistant.glade file was saved successfully.

When I have tried to close glade application then glade crashed with SIGABRT.
Problem is reproducible.

You can download devassistant.glade file from repo:
https://github.com/bkabrda/devassistant/blob/master/devassistant/gui/devel-assistant.glade

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        glade
crash_function: glade_project_model_get_iter_for_object
executable:     /usr/bin/glade
kernel:         3.11.1-200.fc19.x86_64
package:        glade-3.15.0-1.fc19
reason:         Process /usr/bin/glade was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Tomáš Hozza 2013-10-31 08:57:01 EDT
While I were editing two documents, I closed one of them (the tab) which caused glade to crash. Unfortunately It is not reproducible every time. Maybe there is something special about my documents.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        glade
crash_function: glade_project_model_get_iter_for_object
executable:     /usr/bin/glade
kernel:         3.11.6-200.fc19.x86_64
package:        glade-3.15.0-1.fc19
reason:         Process /usr/bin/glade was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            19270
Comment 16 Fedora End Of Life 2015-01-09 13:43:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-17 10:54:47 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.